com.r3corda.node.services.monitor / TransactionBuildResult / Complete

# Complete

`class Complete : TransactionBuildResult`

State indicating the action undertaken has been completed (it was not complex enough to require a state machine starting).

### Parameters

`transaction` - the transaction created as a result.

### Constructors

<init> | `Complete(transaction: SignedTransaction, message: String?)` State indicating the action undertaken has been completed (it was not complex enough to require a state machine starting).

### Properties

message | `val message: String?`
transaction | `val transaction: SignedTransaction`